## gbp-import-dsc

gbp-import-dsc — Import Debian™ packages into a Git™ repository

## Synopsis

`gbp import-dsc` [`--version`] [`--help`] [`--verbose`] [`--color=`[auto|on|off]] [`--color-scheme=``COLOR_SCHEME`] [`--allow-same-versions`] [`--author-date-is-committer-date`] [`--author-is-committer`] [`--debian-branch=``branch_name`] [`--debian-tag=``tag-format`] [`--filter=``pattern`...] [`--keyid=``gpg-keyid`] [`--[no-]create-missing-branches`] [`--[no-]pristine-tar`] [`--[no-]sign-tags`] [`--skip-debian-tag`] [`--upstream-branch=``branch_name`] [`--upstream-tag=``tag-format`] [`--repo-user=``[GIT|DEBIAN]`] [`--repo-email=``[GIT|DEBIAN]`] `debian-source.dsc` [`target`]

`gbp import-dsc` [`options`] [`--[no-]allow-unauthenticated`] [`URL`] [`target`]

## DESCRIPTION

gbp import-dsc imports a Debian™ source package into a Git™ repository, notes the package version in the commit logs, and commits the change. All information, including package name, version, Debian™ modifications and upstream source, is automatically detected from the source package. After import the repository can be used with the other gbp tools.

If the command is run from within an existing Git™ repository, it will import into it; if not, a new repository named as the Debian source package is created. You can override the location of the new repository by specifying the optional `target` argument.

When given a `URL` gbp import-dsc will download the source package prior to importing it. dget™ is used for all schemes except for the special scheme `apt:///` which uses apt-get™ (and therefore needs `deb-src` entries in your `/etc/apt/sources.list`). The later can be abbreviated by using the pseudo URL `apt:`.

## OPTIONS

`--version` | Print version of the program, i.e. version of the git-buildpackage suite
`-v`, `--verbose` | Verbose execution
`-h`, `--help` | Print help and exit
`--color=`[auto|on|off] | Whether to use colored output.

`--color-scheme=``COLOR_SCHEME`

Colors to use in output (when color is enabled). The format for COLOR_SCHEME is '<debug>:<info>:<warning>:<error>'. Numerical values and color names are accepted, empty fields imply the default color. For example, `--git-color-scheme=``'cyan:34::'` would show debug messages in cyan, info messages in blue and other messages in default (i.e. warning and error messages in red).

`--upstream-branch`=`branch_name` | The branch in the Git™ repository the upstream sources are put onto. Default is `upstream`.
`--debian-branch`=`branch_name` | The branch in the Git™ repository the debian sources are put onto. Default is `master`.
`--[no-]sign-tags` | GPG sign all created tags
`--keyid=``gpg-keyid` | Use this keyid for gpg signing tags.
`--debian-tag=``tag-format` | Use this tag format when tagging Debian™ versions, default is `debian/%(version)s`.
`--upstream-tag=``tag-format` | Use this tag format when tagging upstream versions, default is `upstream/%(version)s`.
`--skip-debian-tag` | Don't create Debian™ tag after importing the Debian™ patch. This can be useful if you already created a package but want to further work on it after importing it into git.
`--filter=``pattern` | Filter out files glob-matching ``pattern`` from upstream tarballs and the debian tarball of 3.0(quilt) packages. Note that the .diff.gz of 1.0 source format packages is currently not filtered. This option can be given multiple times.
`--pristine-tar` | Generate pristine-tar delta file.
`--allow-unauthenticated` | Whether to skip signature verification on downloads. Passed on verbatim to dget™ and apt-get™ respectively. Use with care.
`--allow-same-version` | Allow one to import a package with the same debian version.
`--author-is-committer` | When importing the Debian™ patch, use the author identity as committer identity.
`--author-date-is-committer-date` | When importing the Debian™ patch, use the author date as committer date. Git™ will subtly misbehave if the committer date of a commit is not later than or equal to all its parents.
`--[no-]create-missing-branches` | Create upstream and debian branch if missing.
`--repo-user=``[GIT|DEBIAN]` | When set to `DEBIAN` use the `DEBUSER` environment variable to set the user.name Git™ configuration otherwise use Git™'s defaults. Only affects newly created repos.
`--repo-email=``[GIT|DEBIAN]` | When set to `DEBIAN` use the `DEBEMAIL` environment variable to set the user.email Git™ configuration otherwise use Git™'s defaults. Only affects newly created repos.

## CONFIGURATION FILES

Several `gbp.conf` files are parsed to set defaults for the above command-line arguments. See the gbp.conf(5) manpage for details.

## EXAMPLES

Download and import a source package from a URL:

          gbp import-dsc http://http.debian.net/debian/pool/main/h/hello/hello_2.10-1.dsc

Download and import a source package via apt-get source from unstable:

          gbp import-dsc apt:hello/sid

Import a source package in the local file system:

          gbp import-dsc ../hello_2.10-1.dsc

## SEE ALSO

gbp-import-dscs(1), gbp-buildpackage(1), gbp-import-orig(1), gbp-dch(1), apt-get(1), sources.list(5), dget(1), gbp.conf(5), debuild(1), git(1), pristine-tar(1), The Git-Buildpackage Manual

## AUTHOR

Guido Günther `<agx@sigxcpu.org>`